{% extends 'userena/base_userena.html' %}
{% load i18n %}
{% load url from future %}
{% load volunteer_extras %}

{% block content_title %}<h2 class="content-title">{% trans 'Tasks' %}</h2>{% endblock %}

{% block content %}
<p class="select_day_menu">
  schedule: {% for select_day in days %}<a href="{% url 'task_grid' edition.name select_day %}">{{select_day}}</a>{% if not forloop.last %}|{% endif %}{% endfor %}
|<strong>as list</strong>
</p>                                                                                                                                                                     

{% if user.is_authenticated %}<a class="larger-font" href="{% url 'task_list_detailed' edition.name user.username %}" title="View schedule">View your schedule</a>{% endif %}
<form class="task_list" action="{% url 'task_list' edition.name %}" method="post">{% csrf_token %}
    {% if is_dr_manhattan %}
    <fieldset>
        <legend class="task_list">We seem to have a bit of a problem here...</legend><br/>
        <table>
            <tr>
                <td><img src="http://nighty.safehex.be/linked_pics/dr_manhattan.png"/></td>
                <td width="20px;">&nbsp;</td>
                <td style="vertical-align: top;">
                    Unless you look like the guy on the left, odds are you're not actually capable
                    of being in two different locations at the same time. So it might be wise to take
                    action on the tasks below...
                </td>
                <td width="50%">&nbsp;</td>
            </tr>
        </table><br/>
        <table class="task_list">
            <thead>
                <tr class="table_top_alert">
                    <th width="10%">{% trans "I'm in" %}!</th>
                    <th width="55%">{% trans 'Task' %}</th>
                    <th width="20%">{% trans 'When' %}</th>
                    <th width="15%">{% trans 'Volunteers' %}</th>
                </tr>
            </thead>
            <tbody>
                {% for task_set in dr_manhattan_task_sets %}
                    <tr class="task_set_alert">
                        <th class="no_vert_border">&nbsp;</th>
                        <th class="no_vert_border">Problematic tasks #{{ forloop.counter }}:</th>
                        <th class="no_vert_border">&nbsp;</th>
                        <th class="no_vert_border">&nbsp;</th>
                    </tr>
                    {% for task in task_set %}
                    <tr>
                        <td {% if user.is_authenticated %}data-title="{% trans 'I am in' %}!"{% endif %}>{% if user.is_authenticated %}<input type="checkbox" name="task" value="{{ task.id }}" {{ checked|get_item:task.id }} />{% endif %}</td>
                        {% if attending|get_item:task.id == True %}
                        <td class="task-name special-task">{{ task.name }} <span class="small_note">(Hey, you're attending this!)</span></td>
                        {% else %}
                        <td data-title="{% trans 'Task' %}" class="task-name"><a href="{% url 'task_detailed' edition.name task.id %}">{{ task.name }}</a></td>
                        {% endif %}
                        <td data-title="{% trans 'When' %}" >{{ task.date|date:"D" }}, {{ task.start_time|time:"H:i" }} - {{ task.end_time|time:"H:i" }}</td>
                        {% if task.assigned_volunteers == task.nbr_volunteers_max %}
                        <td data-title="{% trans 'Volunteers' %}" class="task-volunteers blue" title="{% trans 'Full' %}
                        {% if user.is_authenticated %}<br/><br/>Signed up:<br/>{% for volunteer in task.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %}{% endif %}">
                        {% elif task.assigned_volunteers >= task.nbr_volunteers %}
                        <td data-title="{% trans 'Volunteers' %}" class="task-volunteers green" title="{% trans 'Staffed' %}
                        {% if user.is_authenticated %}<br/><br/>Signed up:<br/>{% for volunteer in task.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %}{% endif %}">
                        {% elif task.assigned_volunteers >= task.nbr_volunteers_min %}
                        <td data-title="{% trans 'Volunteers' %}" class="task-volunteers gray" title="{% trans 'Manageable' %}
                        {% if user.is_authenticated %}<br/><br/>Signed up:<br/>{% for volunteer in task.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %}{% endif %}">
                        {% else %}
                        <td data-title="{% trans 'Volunteers' %}" class="task-volunteers red" title="{% trans 'More volunteers needed' %}
                            {% if user.is_authenticated %}<br/><br/>Signed up:<br/>{% for volunteer in task.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %} {% endif%}">
                        {% endif %}
                        {{task.assigned_volunteers}}/{{ task.nbr_volunteers }}</td>
                    </tr>
                    {% endfor %}
                {% endfor %}
            </tbody>
        </table>
    </fieldset>
    {% endif %}
    {% for title, days in tasks.items %}
    <fieldset>
        <legend class="task_list">{% trans title %} <span style="font-size: small; font-weight: normal;">
            {% if user.is_authenticated %}{% if title == 'preferred tasks' %}
            (<a class="larger-font" href="{% url 'userena_profile_edit' edition.name user.username %}">{% trans 'Change in profile' %}</a>)
            {% endif %}{% endif %}
        </span></legend>
        <table class="task_list">
            <thead>
                <tr class="table_top">
                    <th width="10%">{% trans "I'm in" %}!</th>
                    <th width="55%">{% trans 'Task' %}</th>
                    <th width="20%">{% trans 'When' %}</th>
                    <th width="15%">{% trans 'Volunteers' %}</th>
                </tr>
            </thead>
            <tbody>
                {% for day, categories in days.items %}
                {% if categories.items %}
                {% ifchanged %}
                {% else %}
                <tr class="row-hide">
                    <th class="no_vert_border">&nbsp;</th>
                    <th class="no_vert_border">&nbsp;</th>
                    <th class="no_vert_border">&nbsp;</th>
                    <th class="no_vert_border">&nbsp;</th>
                </tr>
                {% endifchanged %}
                <tr class="day">
                    <th class="no_vert_border">{{ day|date:"l, j F" }}</th>
                    <th class="no_vert_border">&nbsp;</th>
                    <th class="no_vert_border">&nbsp;</th>
                    <th class="no_vert_border">&nbsp;</th>
                </tr>
                    {% for category, category_tasks in categories.items %}
                    {% if category_tasks %}
                    {% ifchanged %}
                    {% else %}
                    <tr class="row-hide">
                        <th class="no_vert_border">&nbsp;</th>
                        <th class="no_vert_border">&nbsp;</th>
                        <th class="no_vert_border">&nbsp;</th>
                        <th class="no_vert_border">&nbsp;</th>
                    </tr>
                    {% endifchanged %}
                    <tr class="category">
                        <th class="no_vert_border">&nbsp;</th>
                        <th class="no_vert_border">{{ category.name }}</th>
                        <th class="no_vert_border">&nbsp;</th>
                        <th class="no_vert_border">&nbsp;</th>
                    </tr>
                        {% for task in category_tasks %}
                        <tr>
                            <td {% if user.is_authenticated %}data-title="{% trans 'I am in' %}!"{% endif %}>{% if user.is_authenticated %}<input type="checkbox" name="task" value="{{ task.id }}" {{ checked|get_item:task.id }} />{% endif %}</td>
                            {% if attending|get_item:task.id == True %}
                            <td class="task-name special-task">{{ task.name }} <span class="small_note">(Hey, you're attending this!)</span></td>
                            {% else %}
                            <td data-title="{% trans 'Task' %}" class="task-name"><a href="{% url 'task_detailed' edition.name task.id %}">{{ task.name }}</a></td>
                            {% endif %}
                            <td data-title="{% trans 'When' %}">{{ task.date|date:"D" }}, {{ task.start_time|time:"H:i" }} - {{ task.end_time|time:"H:i" }}</td>
                            {% if task.assigned_volunteers == task.nbr_volunteers_max %}
                            <td data-title="{% trans 'Volunteers' %}" class="task-volunteers blue" title="{% trans 'Full' %}
                            {% if user.is_authenticated %}<br/><br/>Signed up:<br/>{% for volunteer in task.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %}{% endif %}">
                            {% elif task.assigned_volunteers >= task.nbr_volunteers %}
                            <td data-title="{% trans 'Volunteers' %}" class="task-volunteers green" title="{% trans 'Staffed' %}
                            {% if user.is_authenticated %}<br/><br/>Signed up:<br/>{% for volunteer in task.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %}{% endif %}">
                            {% elif task.assigned_volunteers >= task.nbr_volunteers_min %}
                            <td data-title="{% trans 'Volunteers' %}" class="task-volunteers gray" title="{% trans 'Manageable' %}
                            {% if user.is_authenticated %}<br/><br/>Signed up:<br/>{% for volunteer in task.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %}{% endif %}">
                            {% else %}
                            <td data-title="{% trans 'Volunteers' %}" class="task-volunteers red" title="{% trans 'More volunteers needed' %}
                            {% if user.is_authenticated %}<br/><br/>Signed up:<br/>{% for volunteer in task.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %}{% endif %}">
                            {% endif %}
                            {{task.assigned_volunteers}}/{{ task.nbr_volunteers }}</td>
                        </tr>
                        {% endfor %}
                    {% endif %}
                    {% endfor %}
                {% endif %}
                {% endfor %}
            </tbody>
        </table>
        <br>
    </fieldset>
    {% endfor %}
    {% if user.is_authenticated %}
    <input type="submit" value="{% trans "Save changes" %}" />
    {% endif %}
</form>

<div id="dialog" title="Task"></div>

{% if is_paginated %}
<div class="pagination">
    <span class="step-links">
        {% if page_obj.has_previous %}
        <a href="{% url 'userena_profile_list_paginated' edition.name page_obj.previous_page_number %}">{% trans 'previous' %}</a>
        {% endif %}

        <span class="current">
            {% trans 'Page' %} {{ page_obj.number }} {% trans 'of' %} {{ page_obj.paginator.num_pages }}.
        </span>

        {% if page_obj.has_next %}
        <a href="{% url 'userena_profile_list_paginated' edition.name page_obj.next_page_number %}">{% trans 'next' %}</a>
        {% endif %}
    </span>
</div>
{% endif %}
{% endblock %}
